<nb-card>
  <nb-card-body>
    <form [formGroup]="modulForm" (ngSubmit)="modulForm.valid && onSubmit(modulForm.value)">
      <input type="text" nbInput placeholder="Naziv modula" formControlName="naziv"><br><br>
      <input type="text" nbInput placeholder="Skraćenica modula" formControlName="skracenica"><br><br>
      <nb-select placeholder="Matični smer" formControlName="smer_id" name="smer_id">
        <nb-option *ngFor="let smer of smerovi" [value]="smer.id">{{smer.naziv}}</nb-option>
      </nb-select>
      <br><br>
      <button type="submit" status="primary" nbButton href="/">{{this.buttonText}}</button>
    </form>
  </nb-card-body>
</nb-card>
